<?php
$tdatastatistics = array();
$tdatastatistics[".searchableFields"] = array();
$tdatastatistics[".ShortName"] = "statistics";
$tdatastatistics[".OwnerID"] = "";
$tdatastatistics[".OriginalTable"] = "statistics";


$tdatastatistics[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatastatistics[".originalPagesByType"] = $tdatastatistics[".pagesByType"];
$tdatastatistics[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatastatistics[".originalPages"] = $tdatastatistics[".pages"];
$tdatastatistics[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatastatistics[".originalDefaultPages"] = $tdatastatistics[".defaultPages"];

//	field labels
$fieldLabelsstatistics = array();
$fieldToolTipsstatistics = array();
$pageTitlesstatistics = array();
$placeHoldersstatistics = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsstatistics["English"] = array();
	$fieldToolTipsstatistics["English"] = array();
	$placeHoldersstatistics["English"] = array();
	$pageTitlesstatistics["English"] = array();
	$fieldLabelsstatistics["English"]["_____"] = "الإسم";
	$fieldToolTipsstatistics["English"]["_____"] = "";
	$placeHoldersstatistics["English"]["_____"] = "";
	$fieldLabelsstatistics["English"]["_______"] = "المنطقة";
	$fieldToolTipsstatistics["English"]["_______"] = "";
	$placeHoldersstatistics["English"]["_______"] = "";
	$fieldLabelsstatistics["English"]["_____"] = "القلم";
	$fieldToolTipsstatistics["English"]["_____"] = "";
	$placeHoldersstatistics["English"]["_____"] = "";
	$fieldLabelsstatistics["English"]["_____________"] = "عدد المقترعين";
	$fieldToolTipsstatistics["English"]["_____________"] = "";
	$placeHoldersstatistics["English"]["_____________"] = "";
	$fieldLabelsstatistics["English"]["_______"] = "المجموع";
	$fieldToolTipsstatistics["English"]["_______"] = "";
	$placeHoldersstatistics["English"]["_______"] = "";
	$fieldLabelsstatistics["English"]["_____________"] = "نسبة الإقتراع";
	$fieldToolTipsstatistics["English"]["_____________"] = "";
	$placeHoldersstatistics["English"]["_____________"] = "";
	$fieldLabelsstatistics["English"]["__"] = "مع";
	$fieldToolTipsstatistics["English"]["__"] = "";
	$placeHoldersstatistics["English"]["__"] = "";
	$fieldLabelsstatistics["English"]["__"] = "ضد";
	$fieldToolTipsstatistics["English"]["__"] = "";
	$placeHoldersstatistics["English"]["__"] = "";
	$fieldLabelsstatistics["English"]["_____"] = "تشكيل";
	$fieldToolTipsstatistics["English"]["_____"] = "";
	$placeHoldersstatistics["English"]["_____"] = "";
	$fieldLabelsstatistics["English"]["_____"] = "مجهول";
	$fieldToolTipsstatistics["English"]["_____"] = "";
	$placeHoldersstatistics["English"]["_____"] = "";
	if (count($fieldToolTipsstatistics["English"]))
		$tdatastatistics[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsstatistics["Arabic"] = array();
	$fieldToolTipsstatistics["Arabic"] = array();
	$placeHoldersstatistics["Arabic"] = array();
	$pageTitlesstatistics["Arabic"] = array();
	$fieldLabelsstatistics["Arabic"]["_____"] = "الإسم";
	$fieldToolTipsstatistics["Arabic"]["_____"] = "";
	$placeHoldersstatistics["Arabic"]["_____"] = "";
	$fieldLabelsstatistics["Arabic"]["_______"] = "المنطقة";
	$fieldToolTipsstatistics["Arabic"]["_______"] = "";
	$placeHoldersstatistics["Arabic"]["_______"] = "";
	$fieldLabelsstatistics["Arabic"]["_____"] = "القلم";
	$fieldToolTipsstatistics["Arabic"]["_____"] = "";
	$placeHoldersstatistics["Arabic"]["_____"] = "";
	$fieldLabelsstatistics["Arabic"]["_____________"] = "عدد المقترعين";
	$fieldToolTipsstatistics["Arabic"]["_____________"] = "";
	$placeHoldersstatistics["Arabic"]["_____________"] = "";
	$fieldLabelsstatistics["Arabic"]["_______"] = "المجموع";
	$fieldToolTipsstatistics["Arabic"]["_______"] = "";
	$placeHoldersstatistics["Arabic"]["_______"] = "";
	$fieldLabelsstatistics["Arabic"]["_____________"] = "نسبة الإقتراع";
	$fieldToolTipsstatistics["Arabic"]["_____________"] = "";
	$placeHoldersstatistics["Arabic"]["_____________"] = "";
	$fieldLabelsstatistics["Arabic"]["__"] = "مع";
	$fieldToolTipsstatistics["Arabic"]["__"] = "";
	$placeHoldersstatistics["Arabic"]["__"] = "";
	$fieldLabelsstatistics["Arabic"]["__"] = "ضد";
	$fieldToolTipsstatistics["Arabic"]["__"] = "";
	$placeHoldersstatistics["Arabic"]["__"] = "";
	$fieldLabelsstatistics["Arabic"]["_____"] = "تشكيل";
	$fieldToolTipsstatistics["Arabic"]["_____"] = "";
	$placeHoldersstatistics["Arabic"]["_____"] = "";
	$fieldLabelsstatistics["Arabic"]["_____"] = "مجهول";
	$fieldToolTipsstatistics["Arabic"]["_____"] = "";
	$placeHoldersstatistics["Arabic"]["_____"] = "";
	if (count($fieldToolTipsstatistics["Arabic"]))
		$tdatastatistics[".isUseToolTips"] = true;
}


	$tdatastatistics[".NCSearch"] = true;



$tdatastatistics[".shortTableName"] = "statistics";
$tdatastatistics[".nSecOptions"] = 0;

$tdatastatistics[".mainTableOwnerID"] = "";
$tdatastatistics[".entityType"] = 0;
$tdatastatistics[".connId"] = "electiondb_at_ssl_localhost";


$tdatastatistics[".strOriginalTableName"] = "statistics";

	



$tdatastatistics[".showAddInPopup"] = false;

$tdatastatistics[".showEditInPopup"] = false;

$tdatastatistics[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatastatistics[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatastatistics[".listAjax"] = false;
//	temporary
$tdatastatistics[".listAjax"] = false;

	$tdatastatistics[".audit"] = false;

	$tdatastatistics[".locking"] = false;


$pages = $tdatastatistics[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatastatistics[".edit"] = true;
	$tdatastatistics[".afterEditAction"] = 1;
	$tdatastatistics[".closePopupAfterEdit"] = 1;
	$tdatastatistics[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatastatistics[".add"] = true;
$tdatastatistics[".afterAddAction"] = 1;
$tdatastatistics[".closePopupAfterAdd"] = 1;
$tdatastatistics[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatastatistics[".list"] = true;
}



$tdatastatistics[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatastatistics[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatastatistics[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatastatistics[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatastatistics[".printFriendly"] = true;
}



$tdatastatistics[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatastatistics[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatastatistics[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatastatistics[".isUseAjaxSuggest"] = true;

$tdatastatistics[".rowHighlite"] = true;





$tdatastatistics[".ajaxCodeSnippetAdded"] = false;

$tdatastatistics[".buttonsAdded"] = false;

$tdatastatistics[".addPageEvents"] = false;

// use timepicker for search panel
$tdatastatistics[".isUseTimeForSearch"] = false;


$tdatastatistics[".badgeColor"] = "E07878";


$tdatastatistics[".allSearchFields"] = array();
$tdatastatistics[".filterFields"] = array();
$tdatastatistics[".requiredSearchFields"] = array();

$tdatastatistics[".googleLikeFields"] = array();
$tdatastatistics[".googleLikeFields"][] = "الإسم";
$tdatastatistics[".googleLikeFields"][] = "المنطقة";
$tdatastatistics[".googleLikeFields"][] = "القلم";
$tdatastatistics[".googleLikeFields"][] = "عدد المقترعين";
$tdatastatistics[".googleLikeFields"][] = "المجموع";
$tdatastatistics[".googleLikeFields"][] = "نسبة الإقتراع";
$tdatastatistics[".googleLikeFields"][] = "مع";
$tdatastatistics[".googleLikeFields"][] = "ضد";
$tdatastatistics[".googleLikeFields"][] = "تشكيل";
$tdatastatistics[".googleLikeFields"][] = "مجهول";



$tdatastatistics[".tableType"] = "list";

$tdatastatistics[".printerPageOrientation"] = 0;
$tdatastatistics[".nPrinterPageScale"] = 100;

$tdatastatistics[".nPrinterSplitRecords"] = 40;

$tdatastatistics[".geocodingEnabled"] = false;










$tdatastatistics[".pageSize"] = 20;

$tdatastatistics[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatastatistics[".strOrderBy"] = $tstrOrderBy;

$tdatastatistics[".orderindexes"] = array();


$tdatastatistics[".sqlHead"] = "SELECT `الإسم`,  	`المنطقة`,  	`القلم`,  	`عدد المقترعين`,  	`المجموع`,  	`نسبة الإقتراع`,  	`مع`,  	`ضد`,  	`تشكيل`,  	`مجهول`";
$tdatastatistics[".sqlFrom"] = "FROM `statistics`";
$tdatastatistics[".sqlWhereExpr"] = "";
$tdatastatistics[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatastatistics[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatastatistics[".arrGroupsPerPage"] = $arrGPP;

$tdatastatistics[".highlightSearchResults"] = true;

$tableKeysstatistics = array();
$tdatastatistics[".Keys"] = $tableKeysstatistics;


$tdatastatistics[".hideMobileList"] = array();




//	الإسم
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "الإسم";
	$fdata["GoodName"] = "_____";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("statistics","_____");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "الإسم";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`الإسم`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=57";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics["الإسم"] = $fdata;
		$tdatastatistics[".searchableFields"][] = "الإسم";
//	المنطقة
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "المنطقة";
	$fdata["GoodName"] = "_______";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("statistics","_______");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "المنطقة";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`المنطقة`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics["المنطقة"] = $fdata;
		$tdatastatistics[".searchableFields"][] = "المنطقة";
//	القلم
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "القلم";
	$fdata["GoodName"] = "_____";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("statistics","_____");
	$fdata["FieldType"] = 2;

	
	
	
			

		$fdata["strField"] = "القلم";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`القلم`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics["القلم"] = $fdata;
		$tdatastatistics[".searchableFields"][] = "القلم";
//	عدد المقترعين
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "عدد المقترعين";
	$fdata["GoodName"] = "_____________";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("statistics","_____________");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "عدد المقترعين";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`عدد المقترعين`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics["عدد المقترعين"] = $fdata;
		$tdatastatistics[".searchableFields"][] = "عدد المقترعين";
//	المجموع
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "المجموع";
	$fdata["GoodName"] = "_______";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("statistics","_______");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "المجموع";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`المجموع`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics["المجموع"] = $fdata;
		$tdatastatistics[".searchableFields"][] = "المجموع";
//	نسبة الإقتراع
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "نسبة الإقتراع";
	$fdata["GoodName"] = "_____________";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("statistics","_____________");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "نسبة الإقتراع";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`نسبة الإقتراع`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics["نسبة الإقتراع"] = $fdata;
		$tdatastatistics[".searchableFields"][] = "نسبة الإقتراع";
//	مع
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "مع";
	$fdata["GoodName"] = "__";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("statistics","__");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "مع";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`مع`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics["مع"] = $fdata;
		$tdatastatistics[".searchableFields"][] = "مع";
//	ضد
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "ضد";
	$fdata["GoodName"] = "__";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("statistics","__");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "ضد";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`ضد`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics["ضد"] = $fdata;
		$tdatastatistics[".searchableFields"][] = "ضد";
//	تشكيل
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "تشكيل";
	$fdata["GoodName"] = "_____";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("statistics","_____");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "تشكيل";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`تشكيل`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics["تشكيل"] = $fdata;
		$tdatastatistics[".searchableFields"][] = "تشكيل";
//	مجهول
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "مجهول";
	$fdata["GoodName"] = "_____";
	$fdata["ownerTable"] = "statistics";
	$fdata["Label"] = GetFieldLabel("statistics","_____");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "مجهول";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`مجهول`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics["مجهول"] = $fdata;
		$tdatastatistics[".searchableFields"][] = "مجهول";


$tables_data["statistics"]=&$tdatastatistics;
$field_labels["statistics"] = &$fieldLabelsstatistics;
$fieldToolTips["statistics"] = &$fieldToolTipsstatistics;
$placeHolders["statistics"] = &$placeHoldersstatistics;
$page_titles["statistics"] = &$pageTitlesstatistics;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["statistics"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["statistics"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_statistics()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "`الإسم`,  	`المنطقة`,  	`القلم`,  	`عدد المقترعين`,  	`المجموع`,  	`نسبة الإقتراع`,  	`مع`,  	`ضد`,  	`تشكيل`,  	`مجهول`";
$proto0["m_strFrom"] = "FROM `statistics`";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "الإسم",
	"m_strTable" => "statistics",
	"m_srcTableName" => "statistics"
));

$proto6["m_sql"] = "`الإسم`";
$proto6["m_srcTableName"] = "statistics";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "المنطقة",
	"m_strTable" => "statistics",
	"m_srcTableName" => "statistics"
));

$proto8["m_sql"] = "`المنطقة`";
$proto8["m_srcTableName"] = "statistics";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "القلم",
	"m_strTable" => "statistics",
	"m_srcTableName" => "statistics"
));

$proto10["m_sql"] = "`القلم`";
$proto10["m_srcTableName"] = "statistics";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "عدد المقترعين",
	"m_strTable" => "statistics",
	"m_srcTableName" => "statistics"
));

$proto12["m_sql"] = "`عدد المقترعين`";
$proto12["m_srcTableName"] = "statistics";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "المجموع",
	"m_strTable" => "statistics",
	"m_srcTableName" => "statistics"
));

$proto14["m_sql"] = "`المجموع`";
$proto14["m_srcTableName"] = "statistics";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "نسبة الإقتراع",
	"m_strTable" => "statistics",
	"m_srcTableName" => "statistics"
));

$proto16["m_sql"] = "`نسبة الإقتراع`";
$proto16["m_srcTableName"] = "statistics";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "مع",
	"m_strTable" => "statistics",
	"m_srcTableName" => "statistics"
));

$proto18["m_sql"] = "`مع`";
$proto18["m_srcTableName"] = "statistics";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "ضد",
	"m_strTable" => "statistics",
	"m_srcTableName" => "statistics"
));

$proto20["m_sql"] = "`ضد`";
$proto20["m_srcTableName"] = "statistics";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "تشكيل",
	"m_strTable" => "statistics",
	"m_srcTableName" => "statistics"
));

$proto22["m_sql"] = "`تشكيل`";
$proto22["m_srcTableName"] = "statistics";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "مجهول",
	"m_strTable" => "statistics",
	"m_srcTableName" => "statistics"
));

$proto24["m_sql"] = "`مجهول`";
$proto24["m_srcTableName"] = "statistics";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto26=array();
$proto26["m_link"] = "SQLL_MAIN";
			$proto27=array();
$proto27["m_strName"] = "statistics";
$proto27["m_srcTableName"] = "statistics";
$proto27["m_columns"] = array();
$proto27["m_columns"][] = "الإسم";
$proto27["m_columns"][] = "المنطقة";
$proto27["m_columns"][] = "القلم";
$proto27["m_columns"][] = "عدد المقترعين";
$proto27["m_columns"][] = "المجموع";
$proto27["m_columns"][] = "نسبة الإقتراع";
$proto27["m_columns"][] = "مع";
$proto27["m_columns"][] = "ضد";
$proto27["m_columns"][] = "تشكيل";
$proto27["m_columns"][] = "مجهول";
$obj = new SQLTable($proto27);

$proto26["m_table"] = $obj;
$proto26["m_sql"] = "`statistics`";
$proto26["m_alias"] = "";
$proto26["m_srcTableName"] = "statistics";
$proto28=array();
$proto28["m_sql"] = "";
$proto28["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto28["m_column"]=$obj;
$proto28["m_contained"] = array();
$proto28["m_strCase"] = "";
$proto28["m_havingmode"] = false;
$proto28["m_inBrackets"] = false;
$proto28["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto28);

$proto26["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto26);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="statistics";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_statistics = createSqlQuery_statistics();


	
		;

										

$tdatastatistics[".sqlquery"] = $queryData_statistics;



$tableEvents["statistics"] = new eventsBase;
$tdatastatistics[".hasEvents"] = false;

?>